Bug 1879139 - descheduler operator: be more verbose when operator configuration does not exists
Summary: descheduler operator: be more verbose when operator configuration does not ex...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-scheduler
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.6.0
Assignee: Jan Chaloupka
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-15 14:17 UTC by Jan Chaloupka
Modified: 2020-10-27 16:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:41:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-descheduler-operator pull 132 0 None closed bug 1879139: Be more verbose when the operator configuration is missing 2020-11-27 16:07:30 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:41:40 UTC

Description Jan Chaloupka 2020-09-15 14:17:11 UTC
When the operator configuration is deployed in different namespace than `openshift-kube-descheduler-operator`,
the operator is reporting:

```
E0825 23:53:11.641464       1 target_config_reconciler.go:307] key failed with : kubedeschedulers.operator.openshift.io "cluster" not found
```

The log does not say anything about the namespace.
Explicitly mentioning the expected namespace may give user more hints on what's wrong.

Comment 2 RamaKasturi 2020-09-21 07:19:31 UTC
Moving the bug to verified state as i see that when descheduler is installed in a namespace other than "openshift-kube-descheduler-operator" following error is seen in the operator logs.

[ramakasturinarra@dhcp35-60 ~]$ oc get csv
NAME                                                   DISPLAY                     VERSION                 REPLACES   PHASE
clusterkubedescheduleroperator.4.6.0-202009192030.p0   Kube Descheduler Operator   4.6.0-202009192030.p0              Succeeded


E0921 07:06:38.782182       1 target_config_reconciler.go:94] "unable to get operator configuration" err="kubedeschedulers.operator.openshift.io \"cluster\" not found" namespace="openshift-kube-descheduler-operator" kubedescheduler="cluster"
E0921 07:06:38.782206       1 target_config_reconciler.go:467] key failed with : kubedeschedulers.operator.openshift.io "cluster" not found
E0921 07:06:38.794083       1 target_config_reconciler.go:94] "unable to get operator configuration" err="kubedeschedulers.operator.openshift.io \"cluster\" not found" namespace="openshift-kube-descheduler-operator" kubedescheduler="cluster"

Based on the above moving bug to verified state.

Comment 8 errata-xmlrpc 2020-10-27 16:41:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.